Register Worker
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/workers/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_name": "<string>",
"hostname": "<string>",
"worker_metadata": {}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/workers/register"
payload = {
"environment_name": "<string>",
"hostname": "<string>",
"worker_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment_name: '<string>', hostname: '<string>', worker_metadata: {}})
};
fetch('https://control-plane.kubiya.ai/api/v1/workers/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/workers/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment_name' => '<string>',
'hostname' => '<string>',
'worker_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/workers/register"
payload := strings.NewReader("{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/workers/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/workers/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"worker_token": "<string>",
"environment_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}API Reference
Register Worker
Register a new worker with the control plane.
This endpoint is called by workers on startup to get their configuration. The worker authenticates using KUBIYA_API_KEY (same auth as other API calls).
Returns: All configuration needed for worker to connect to Temporal and operate:
- worker_id: Unique ID for this worker instance
- worker_token: Environment’s worker token
- environment_name: Formatted task queue name (org_id.environment)
- temporal_namespace, temporal_host, temporal_api_key: Temporal Cloud config
- organization_id: Organization ID
- control_plane_url: URL to send heartbeats
POST
/
api
/
v1
/
workers
/
register
Register Worker
curl --request POST \
--url https://control-plane.kubiya.ai/api/v1/workers/register \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"environment_name": "<string>",
"hostname": "<string>",
"worker_metadata": {}
}
'import requests
url = "https://control-plane.kubiya.ai/api/v1/workers/register"
payload = {
"environment_name": "<string>",
"hostname": "<string>",
"worker_metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({environment_name: '<string>', hostname: '<string>', worker_metadata: {}})
};
fetch('https://control-plane.kubiya.ai/api/v1/workers/register', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://control-plane.kubiya.ai/api/v1/workers/register",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'environment_name' => '<string>',
'hostname' => '<string>',
'worker_metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://control-plane.kubiya.ai/api/v1/workers/register"
payload := strings.NewReader("{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://control-plane.kubiya.ai/api/v1/workers/register")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://control-plane.kubiya.ai/api/v1/workers/register")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"environment_name\": \"<string>\",\n \"hostname\": \"<string>\",\n \"worker_metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"worker_id": "<string>",
"worker_token": "<string>",
"environment_name": "<string>",
"temporal_namespace": "<string>",
"temporal_host": "<string>",
"temporal_api_key": "<string>",
"organization_id": "<string>",
"control_plane_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Enter your Kubiya API token (format: Bearer )
Body
application/json
Response
Successful Response
Was this page helpful?